Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkIntArray Class Reference

`#include <vtkIntArray.h>`

Inheritance diagram for vtkIntArray:

[legend]
Collaboration diagram for vtkIntArray:

[legend]
List of all members.

## Detailed Description

dynamic, self-adjusting integer array

Date:
  2002/11/12 18:32:04

Revision:
  1.74

vtkIntArray is an array of integer numbers. It provides methods for insertion and retrieval of integer values, and will automatically resize itself to hold new data.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Schroeder, Will (40%)
  - Martin, Ken (32%)
  - Geveci, Berk (5%)
  - Henderson, Amy (5%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkIntArray.h)`
  - .`cxx` (`/Common/vtkIntArray.cxx)`

Examples:
  vtkIntArray (Examples)

Tests:
  vtkIntArray (Tests)

Definition at line 51 of file vtkIntArray.h.

## Public Types
typedef vtkDataArray | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | Allocate (const vtkIdType sz, const vtkIdType ext=1000)
void | Initialize ()
int | GetDataTypeSize ()
virtual void | Resize (vtkIdType numTuples)
void | SetNumberOfTuples (const vtkIdType number)
float * | GetTuple (const vtkIdType i)
void | SetNumberOfValues (const vtkIdType number)
void | InsertValue (const vtkIdType id, const int i)
vtkIdType | InsertNextValue (const int i)
float | GetComponent (const vtkIdType i, const int j)
void | SetComponent (const vtkIdType i, const int j, float c)
virtual void | InsertComponent (const vtkIdType i, const int j, float c)
int * | WritePointer (const vtkIdType id, const vtkIdType number)
void | DeepCopy (vtkDataArray *ia)
int | GetDataType ()
void | Squeeze ()
void | GetTuple (const vtkIdType i, float *tuple)
void | GetTuple (const vtkIdType i, double *tuple)
void | SetTuple (const vtkIdType i, const float *tuple)
void | SetTuple (const vtkIdType i, const double *tuple)
void | InsertTuple (const vtkIdType i, const float *tuple)
void | InsertTuple (const vtkIdType i, const double *tuple)
vtkIdType | InsertNextTuple (const float *tuple)
vtkIdType | InsertNextTuple (const double *tuple)
int | GetValue (const vtkIdType id)
void | SetValue (const vtkIdType id, const int value)
int * | GetPointer (const vtkIdType id)
void * | GetVoidPointer (const vtkIdType id)
void | SetArray (int *array, vtkIdType size, int save)
void | SetVoidArray (void *array, vtkIdType size, int save)
## Static Public Methods
vtkIntArray * | New ()
int | IsTypeOf (const char *type)
vtkIntArray * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkIntArray (vtkIdType numComp=1)
| ~vtkIntArray ()
int * | ResizeAndExtend (const vtkIdType sz)
## Protected Attributes
int * | Array
int | TupleSize
float * | Tuple
int | SaveUserArray

## Member Typedef Documentation

typedef vtkDataArray vtkIntArray::Superclass

| Reimplemented from vtkDataArray. Definition at line 56 of file vtkIntArray.h.

## Constructor & Destructor Documentation

vtkIntArray::vtkIntArray | ( | vtkIdType | numComp = 1 | ) | `[protected]`

vtkIntArray::~vtkIntArray | ( |  | ) | `[protected]`

## Member Function Documentation

vtkIntArray* vtkIntArray::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkIntArray::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataArray.

int vtkIntArray::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

virtual int vtkIntArray::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

vtkIntArray* vtkIntArray::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataArray.

void vtkIntArray::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataArray.

int vtkIntArray::Allocate | ( | const vtkIdType | sz,
|  | const vtkIdType | ext = 1000
| ) | `[virtual]`

| Allocate memory for this array. Delete old storage only if necessary. Note that ext is no longer used. Implements vtkDataArray. Referenced by SetNumberOfValues().

void vtkIntArray::Initialize | ( |  | ) | `[virtual]`

| Release storage and reset array to initial state. Implements vtkDataArray.

int vtkIntArray::GetDataType | ( |  | ) | `[inline, virtual]`

| Get the data type. Implements vtkDataArray. Definition at line 68 of file vtkIntArray.h. References VTK_INT.

int vtkIntArray::GetDataTypeSize | ( |  | ) | `[inline, virtual]`

| Return the size of the data type. Implements vtkDataArray. Definition at line 73 of file vtkIntArray.h.

void vtkIntArray::Squeeze | ( |  | ) | `[inline, virtual]`

| Resize object to just fit data requirement. Reclaims extra memory. Implements vtkDataArray. Definition at line 77 of file vtkIntArray.h.

virtual void vtkIntArray::Resize | ( | vtkIdType | numTuples | ) | `[virtual]`

| Resize the array while conserving the data. Implements vtkDataArray.

void vtkIntArray::SetNumberOfTuples | ( | const vtkIdType | number | ) | `[virtual]`

| Set the number of n-tuples in the array. Implements vtkDataArray.

float* vtkIntArray::GetTuple | ( | const vtkIdType | i | ) | `[virtual]`

| Get a pointer to a tuple at the ith location. This is a dangerous method (it is not thread safe since a pointer is returned). Implements vtkDataArray.

void vtkIntArray::GetTuple | ( | const vtkIdType | i,
|  | float * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Implements vtkDataArray.

void vtkIntArray::GetTuple | ( | const vtkIdType | i,
|  | double * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Reimplemented from vtkDataArray.

void vtkIntArray::SetTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Implements vtkDataArray.

void vtkIntArray::SetTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Reimplemented from vtkDataArray.

void vtkIntArray::InsertTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Implements vtkDataArray.

void vtkIntArray::InsertTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Reimplemented from vtkDataArray.

vtkIdType vtkIntArray::InsertNextTuple | ( | const float * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Implements vtkDataArray.

vtkIdType vtkIntArray::InsertNextTuple | ( | const double * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Reimplemented from vtkDataArray.

int vtkIntArray::GetValue | ( | const vtkIdType | id | ) | `[inline]`

| Get the data at a particular index. Definition at line 119 of file vtkIntArray.h. References id, and vtkIdType.

void vtkIntArray::SetValue | ( | const vtkIdType | id,
|  | const int | value
| ) | `[inline]`

| Set the data at a particular index. Does not do range checking. Make sure you use the method SetNumberOfValues() before inserting data. Definition at line 126 of file vtkIntArray.h. References id, and vtkIdType.

void vtkIntArray::SetNumberOfValues | ( | const vtkIdType | number | ) | `[inline]`

| Specify the number of values for this object to hold. Does an allocation as well as setting the MaxId ivar. Used in conjunction with SetValue() method for fast insertion. Definition at line 204 of file vtkIntArray.h. References Allocate(), vtkDataArray::MaxId, and vtkIdType.

void vtkIntArray::InsertValue | ( | const vtkIdType | id,
|  | const int | i
| ) | `[inline]`

| Insert data at a specified position in the array. Definition at line 225 of file vtkIntArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType. Referenced by InsertNextValue().

vtkIdType vtkIntArray::InsertNextValue | ( | const int | i | ) | `[inline]`

| Insert data at the end of the array. Return its location in the array. Definition at line 238 of file vtkIntArray.h. References InsertValue(), vtkDataArray::MaxId, and vtkIdType.

float vtkIntArray::GetComponent | ( | const vtkIdType | i,
|  | const int | j
| ) | `[virtual]`

| Return the data component at the ith tuple and jth component location. Note that i is less then NumberOfTuples and j is less then NumberOfComponents. Reimplemented from vtkDataArray.

void vtkIntArray::SetComponent | ( | const vtkIdType | i,
|  | const int | j,
|  | float | c
| ) | `[virtual]`

| Set the data component at the ith tuple and jth component location. Note that i is less then NumberOfTuples and j is less then NumberOfComponents. Make sure enough memory has been allocated (use SetNumberOfTuples() and SetNumberOfComponents()). Reimplemented from vtkDataArray.

virtual void vtkIntArray::InsertComponent | ( | const vtkIdType | i,
|  | const int | j,
|  | float | c
| ) | `[virtual]`

| Insert the data component at ith tuple and jth component location. Note that memory allocation is performed as necessary to hold the data. Reimplemented from vtkDataArray.

int* vtkIntArray::GetPointer | ( | const vtkIdType | id | ) | `[inline]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Definition at line 161 of file vtkIntArray.h. References id, and vtkIdType.

void* vtkIntArray::GetVoidPointer | ( | const vtkIdType | id | ) | `[inline, virtual]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Implements vtkDataArray. Definition at line 163 of file vtkIntArray.h. References id, and vtkIdType.

int * vtkIntArray::WritePointer | ( | const vtkIdType | id,
|  | const vtkIdType | number
| ) | `[inline]`

| Get the address of a particular data index. Make sure data is allocated for the number of items requested. Set MaxId according to the number of data values requested. Definition at line 210 of file vtkIntArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType.

void vtkIntArray::DeepCopy | ( | vtkDataArray * | ia | ) | `[virtual]`

| Deep copy of another integer array. Reimplemented from vtkDataArray.

void vtkIntArray::SetArray | ( | int * | array,
|  | vtkIdType | size,
|  | int | save
| ) |

| This method lets the user specify data to be held by the array. The array argument is a pointer to the data. size is the size of the array supplied by the user. Set save to 1 to keep the class from deleting the array when it cleans up or reallocates memory. The class uses the actual array provided; it does not copy the data from the suppled array.

void vtkIntArray::SetVoidArray | ( | void * | array,
|  | vtkIdType | size,
|  | int | save
| ) | `[inline]`

| This method lets the user specify data to be held by the array. The array argument is a pointer to the data. size is the size of the array supplied by the user. Set save to 1 to keep the class from deleting the array when it cleans up or reallocates memory. The class uses the actual array provided; it does not copy the data from the suppled array. Definition at line 183 of file vtkIntArray.h. References vtkIdType.

int* vtkIntArray::ResizeAndExtend | ( | const vtkIdType | sz | ) | `[protected]`

| Referenced by InsertValue(), and WritePointer().

## Member Data Documentation

int* vtkIntArray::Array`[protected]`

| Definition at line 191 of file vtkIntArray.h. Referenced by InsertValue(), and WritePointer().

int vtkIntArray::TupleSize`[protected]`

| Definition at line 194 of file vtkIntArray.h.

float* vtkIntArray::Tuple`[protected]`

| Definition at line 195 of file vtkIntArray.h.

int vtkIntArray::SaveUserArray`[protected]`

| Definition at line 197 of file vtkIntArray.h.

The documentation for this class was generated from the following file:

- Common/vtkIntArray.h